from ssd1306 import SSD1306
import _thread,time,pyb
from machine import Pin
accel = pyb.Accel()
display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)
def funcA(sec):
	time.sleep(sec)
	try:
		display.poweron()
		display.init_display()
		for x in range(1,48):
			display.set_pixel(x,11,True)
			display.set_pixel(x,46,True)
		for y in range(11,46):
			display.set_pixel(1, y,True)
			display.set_pixel(48, y,True)
		display.draw_text(90,13,'X')
		display.draw_text(90,25,'Y')
		display.draw_text(90,37,'Z')
		display.draw_text(75,51,'tilt:')
		display.draw_text(82,1,'MMA7660')
		while True:
			try:
				display.draw_text(105,13,str(accel.x()))
				display.draw_text(105,25,str(accel.y()))
				display.draw_text(105,37,str(accel.z()))
				display.draw_text(105,51,str(accel.tilt()))
			except :
				display.draw_text(105,13,'NC')
				display.draw_text(105,25,'NC')
				display.draw_text(105,37,'NC')
			display.display()
			time.sleep_ms(30)
	except Exception as ex:
		print('Unexpected error: {0}'.format(ex))
if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))